# ZonedDateTimeDeserializer (server 1.1 API)
declaration: package: dev.plex.util.adapter, class: ZonedDateTimeDeserializer

Package dev.plex.util.adapter

# Class ZonedDateTimeDeserializer

java.lang.Object
dev.plex.util.adapter.ZonedDateTimeDeserializer

All Implemented Interfaces:
  `com.google.gson.JsonDeserializer<ZonedDateTime>`

public class ZonedDateTimeDeserializer extends Object implements com.google.gson.JsonDeserializer<ZonedDateTime>

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`TIMEZONE`

## Constructor Summary

Constructors
Constructor
Description
`ZonedDateTimeDeserializer()`

## Method Summary

Modifier and Type
Method
Description
`ZonedDateTime`
`deserialize(com.google.gson.JsonElement json, Type typeOfT, com.google.gson.JsonDeserializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TIMEZONE

private static final String TIMEZONE

## Constructor Details

### ZonedDateTimeDeserializer

public ZonedDateTimeDeserializer()

## Method Details

### deserialize

public ZonedDateTime deserialize(com.google.gson.JsonElement json, Type typeOfT, com.google.gson.JsonDeserializationContext context) throws com.google.gson.JsonParseException

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<ZonedDateTime>`
Throws:
  `com.google.gson.JsonParseException`